std::__future_base::_Result_alloc< _Res, _Alloc >(3)

NAME
std::__future_base::_Result_alloc< _Res, _Alloc > - A result object that uses an allocator.

SYNOPSIS

Inherits std::__future_base::_Result< _Res >, and _Alloc.

  Public Types
using __allocator_type = __alloc_rebind< _Alloc, _Result_alloc >
typedef _Res result_type

  Public Member Functions
_Result_alloc (const _Alloc &__a)
void _M_set (_Res &&__res)
void _M_set (const _Res &__res)
_Res & _M_value () noexcept

  Public Attributes
exception_ptr _M_error

Detailed Description

  template<typename _Res, typename _Alloc>
struct std::__future_base::_Result_alloc< _Res, _Alloc >" A result object that uses an allocator.

Definition at line 268 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.